### Signal

# Gcr SystemPrompter::new-prompt

#### Declaration

    GcrPrompt*
    new_prompt (
      GcrSystemPrompter* self,
      gpointer user_data
    )

#### Description [src]

Signal emitted to create a new prompt when needed.

The default implementation of this signal creates a prompt of the type gcr_system_prompter_get_prompt_type().

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Return value

Type: `GcrPrompt`

The new prompt.

The caller of the function takes ownership of the data, and is responsible for freeing it.